<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.toolbar-h1 {
   text-transform: capitalize;
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="toolbar-h1">
<img src="/img/rhn-icon-api.gif" alt="application program interface" /> <a href="/rhn/apidoc/index.jsp">API Overview</a>:

Provides methods to set various properties of a kickstart profile.
<br />

</div>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#associateKeys"/>associateKeys</a></li>
<li><a href="#disableConfigManagement"/>disableConfigManagement</a></li>
<li><a href="#disableRemoteCommands"/>disableRemoteCommands</a></li>
<li><a href="#enableConfigManagement"/>enableConfigManagement</a></li>
<li><a href="#enableRemoteCommands"/>enableRemoteCommands</a></li>
<li><a href="#getLocale"/>getLocale</a></li>
<li><a href="#listAssociatedKeys"/>listAssociatedKeys</a></li>
<li><a href="#setLocale"/>setLocale</a></li>
<li><a href="#setNetworkConnection"/>setNetworkConnection</a></li>
<li><a href="#setSELinux"/>setSELinux</a></li>
</ul>
</div>
<h2>Description</h2>
Provides methods to set various properties of a kickstart profile.
<p>
</p>
<p><strong>Namespace</strong>:
kickstart.profile.system
</p>
<hr />

<h3> <a name="associateKeys" href="#top">Method: associateKeys</a></h3>
Description:<br />
assigns the given list of keys to the specified kickstart profile.
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string kickstartLabel
 </li>
<li>

array:
<ul>
    <li>string - keyDescription</li>
</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="disableConfigManagement" href="#top">Method: disableConfigManagement</a></h3>
Description:<br />
Disables the configuration management flag in a kickstart profile 
 so that a system created using this profile will be NOT be configuration capable.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string ksLabel - the kickstart profile label
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="disableRemoteCommands" href="#top">Method: disableRemoteCommands</a></h3>
Description:<br />
Disables the remote command flag in a kickstart profile 
 so that a system created using this profile
 will be capable of running remote commands
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string ksLabel - the kickstart profile label
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="enableConfigManagement" href="#top">Method: enableConfigManagement</a></h3>
Description:<br />
Enables the configuration management flag in a kickstart profile 
 so that a system created using this profile will be configuration capable.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string ksLabel - the kickstart profile label
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="enableRemoteCommands" href="#top">Method: enableRemoteCommands</a></h3>
Description:<br />
Enables the remote command flag in a kickstart profile 
 so that a system created using this profile
  will be capable of running remote commands
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string ksLabel - the kickstart profile label
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="getLocale" href="#top">Method: getLocale</a></h3>
Description:<br />
Retrieves the locale for a kickstart profile.
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string ksLabel - the kickstart profile label
 </li>
</ul>
<p />
Returns:
<code><ul><li>


	     struct - locale info
	<ul>
              	<li> string "locale"</li>
              	<li> boolean "useUtc"</li>
                  	<ul>
                      	<li>true - the hardware clock uses UTC</li>
                      	<li>false - the hardware clock does not use UTC</li>
                  	</ul>
          	</ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listAssociatedKeys" href="#top">Method: listAssociatedKeys</a></h3>
Description:<br />
returns the set of all keys associated with the indicated kickstart
             profile.
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string kickstartLabel
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
          	     struct - key
	<ul>
              	<li> string "description"</li>
              	<li> string "type"</li>
              	<li> string "content"</li>
          	</ul>
      </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="setLocale" href="#top">Method: setLocale</a></h3>
Description:<br />
Sets the locale for a kickstart profile.
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string ksLabel - the kickstart profile label
 </li>
<li>

    string locale - the locale
 </li>
<li>

    boolean useUtc
      	<ul>
          	<li>true - the hardware clock uses UTC</li>
          	<li>false - the hardware clock does not use UTC</li>
      	</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="setNetworkConnection" href="#top">Method: setNetworkConnection</a></h3>
Description:<br />
Sets the network device property of a kickstart profile 
 so that a system created using this profile will be have 
 the appropriate network device associated to it.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string ksLabel - the kickstart profile label
 </li>
<li>

    int isDhcp
      	<ul>
          	<li>1 - to set the network type of the connection type to dhcp</li>
          	<li>0 - to set the network type of the connection type to static device</li>
      	</ul>
 </li>
<li>

 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="setSELinux" href="#top">Method: setSELinux</a></h3>
Description:<br />
Sets the SELinux enforcing mode property of a kickstart profile 
 so that a system created using this profile will be have 
 the appropriate SELinux enforcing mode.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string ksLabel - the kickstart profile label
 </li>
<li>

    string enforcingMode - the selinux enforcing mode
      	<ul>
          	<li>enforcing</li>
          	<li>permissive</li>
          	<li>disabled</li>
      	</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />
</body>
</html>
